Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.resources
Class TestExecutionRecord

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.client.oslc.resources.QmResource
              org.eclipse.lyo.client.oslc.resources.TestExecutionRecord

All Implemented Interfaces:
  org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

    public final class TestExecutionRecord

extends QmResource

Constructor Summary
`TestExecutionRecord()`

Method Summary
`void` | `addBlockedByChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link blockingChangeRequest)`
`void` | `addContributor(URI contributor)`
`void` | `addCreator(URI creator)`
`void` | `addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getBlockedByChangeRequests()`
`URI[]` | `getContributors()`
`URI[]` | `getCreators()`
`protected URI` | `getRdfType()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedChangeRequests()`
`org.eclipse.lyo.oslc4j.core.model.Link` | `getReportsOnTestPlan()`
`URI` | `getRunsOnTestEnvironment()`
`org.eclipse.lyo.oslc4j.core.model.Link` | `getRunsTestCase()`
`void` | `setBlockedByChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] blockedByChangeRequests)`
`void` | `setContributors(URI[] contributors)`
`void` | `setCreators(URI[] creators)`
`void` | `setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)`
`void` | `setReportsOnTestPlan(org.eclipse.lyo.oslc4j.core.model.Link reportsOnTestPlan)`
`void` | `setRunsOnTestEnvironment(URI runsOnTestEnvironment)`
`void` | `setRunsTestCase(org.eclipse.lyo.oslc4j.core.model.Link runsTestCase)`

Methods inherited from class org.eclipse.lyo.client.oslc.resources.QmResource
`addRdfType, getCreated, getIdentifier, getInstanceShape, getModified, getRdfTypes, getServiceProvider, getTitle, setCreated, setIdentifier, setInstanceShape, setModified, setRdfTypes, setServiceProvider, setTitle`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestExecutionRecord

    public TestExecutionRecord()

Method Detail

### getRdfType

    protected URI getRdfType()

  Specified by:
    `getRdfType` in class `QmResource`

### addBlockedByChangeRequest

    public void addBlockedByChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link blockingChangeRequest)

### addContributor

    public void addContributor(URI contributor)

### addCreator

    public void addCreator(URI creator)

### addRelatedChangeRequest

    public void addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)

### getContributors

    public URI[] getContributors()

### getCreators

    public URI[] getCreators()

### getBlockedByChangeRequests

    public org.eclipse.lyo.oslc4j.core.model.Link[] getBlockedByChangeRequests()

### getRelatedChangeRequests

    public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedChangeRequests()

### getReportsOnTestPlan

    public org.eclipse.lyo.oslc4j.core.model.Link getReportsOnTestPlan()

### getRunsOnTestEnvironment

    public URI getRunsOnTestEnvironment()

### getRunsTestCase

    public org.eclipse.lyo.oslc4j.core.model.Link getRunsTestCase()

### setBlockedByChangeRequests

    public void setBlockedByChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] blockedByChangeRequests)

### setContributors

    public void setContributors(URI[] contributors)

### setCreators

    public void setCreators(URI[] creators)

### setRelatedChangeRequests

    public void setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)

### setReportsOnTestPlan

    public void setReportsOnTestPlan(org.eclipse.lyo.oslc4j.core.model.Link reportsOnTestPlan)

### setRunsOnTestEnvironment

    public void setRunsOnTestEnvironment(URI runsOnTestEnvironment)

### setRunsTestCase

    public void setRunsTestCase(org.eclipse.lyo.oslc4j.core.model.Link runsTestCase)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.